#
# TAGLIB NAME
#
# The taglib name defaults to the subproject's ant.project.name.

taglib.name = ${ant.project.name}

#
# PROJECT STANDARD PROPERTIES
#     
# The following property values reflect the standard directory organization
# for the jakarta-taglibs project, and should not be changed or overridden.
#
#   build.dir                      Base directory for build targets
#   dist.dir                       Base directory for distribution targets
#   taglibs.xsl                    Taglibs stylesheet

build.dir = ${basedir}/../../build/taglibs
dist.dir = ${basedir}/../../dist/taglibs
taglibs.xsl = ../../../src/doc/stylesheets/taglibs.xsl

#
# PROJECT STRUCTURE PROPERTIES
#
# The following property values reflect the recommended directory structure
# for each custom tag library subproject.  You should only need to adjust or
# override them if you use a different organization.
#
#   conf.src                       Library configuration source directory
#   doc.src                        Documentation app source directory
#   examples.src                   Examples app source directory
#   library.src                    Library Java source directory

conf.src = conf
doc.src = doc
examples.src = examples
library.src = src

#
# DERIVED PROPERTIES
#
# These property values are derived from the previously defined values, and
# should not normally be overridden from the command line.
#
#   build.doc                      Target directory for documentation app
#   build.examples                 Target directory for examples app
#   build.library                  Target directory for tag library
#   dist.doc                       Destination WAR for documentation app
#   dist.examples                  Destination WAR for examples app
#   dist.library                   Destination JAR for tag library
#   dist.tld                       Destination TLD file for tag library

build.doc = ${build.dir}/${taglib.name}-doc
build.examples = ${build.dir}/${taglib.name}-examples
build.library = ${build.dir}/${taglib.name}
dist.doc = ${dist.dir}/${taglib.name}/${taglib.name}-doc.war
dist.examples = ${dist.dir}/${taglib.name}/${taglib.name}-examples.war
dist.library = ${dist.dir}/${taglib.name}
dist.tld = ${dist.dir}/${taglib.name}/${taglib.name}.tld
source.tld = ${conf.src}/${taglib.name}.tld
examples.tld = ${build.examples}/WEB-INF/${taglib.name}.tld
library.tld = ${build.library}/META-INF/taglib.tld

#
# DEFAULT PRE & POST ACTIONS - ALLOWS SUBPROJECTS TO OVERRIDE
#
checkRequirements.pre=default.pre
checkRequirements.post=default.post
prepare.pre=default.pre
prepare.post=default.post
documentation.pre=default.pre
documentation.post=default.post
examples.pre=default.pre
examples.post=default.post
compile-examples.pre=default.pre
compile-examples.post=default.post
library.pre=default.pre
library.post=default.post
main.pre=default.pre
main.post=default.post
documentation-dist.pre=default.pre
documentation-dist.post=default.post
examples-dist.pre=default.pre
examples-dist.post=default.post
library-dist.pre=default.pre
library-dist.post=default.post
dist.pre=default.pre
dist.post=default.post
clean.pre=default.pre
clean.post=default.post
